Subject: Re: [PATCH net-next v5 00/21] ice: add PFCP filter support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 6 Feb 2024 07:37:59 -0800

On Tue, 6 Feb 2024 13:46:44 +0100 Alexander Lobakin wrote:
> > Add support for creating PFCP filters in switchdev mode. Add pfcp module
> > that allows to create a PFCP-type netdev. The netdev then can be passed to
> > tc when creating a filter to indicate that PFCP filter should be created.  
> 
> I believe folks agreed that bitmap_{read,write}() should stay inline,
> ping then?

It's probably fine, IMHO. I mean, I think we agree that the rarely used
inlines should not sit in a header included by half of the kernel (not
an exaggeration). But IMHO a better fix would be to move out whatever
cpumask.h xarray.h and other common headers depend on to a cut-down
version rather than making your helpers not inline.

So I think all we need for now is for people to ack the respective
patches? Looks like cio and ntfs and missing acks, so are some of 
the bitops core patches.